Bug 457939 (CVE-2008-3278) - CVE-2008-3278 frysk: insecure relative RPATH
Summary: CVE-2008-3278 frysk: insecure relative RPATH
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2008-3278
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-05 16:27 UTC by Tomas Hoger
Modified: 2019-09-29 12:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-04 10:09:41 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2008-08-05 16:27:07 UTC
frysk packages as shipped in Red Hat Enterprise Linux 5 are built with an insecure RPATH set in the ELF header of the multiple binaries shipped in the package.

This issue can possibly be exploited by a local attacker to run arbitrary code
as some other user if victim user can be convinced to run one of the affected frysk commands in an attacker controlled directory with specially crafted content.

Affected binaries: /usr/bin/f* (e.g. fcore, fcatch, fstack, fstep, ...)
RPATH: @RPATH@

Comment 1 Tomas Hoger 2008-08-05 16:32:16 UTC
This issue does not affect current frysk-0.4-0 packages in Fedora.


Note You need to log in before you can comment on or make changes to this bug.